tags 456083 + patch
thanks
Hi,
Attached is the diff for my libgig 3.2.1-1.1 NMU.
Cheers,
Moritz
diff -u libgig-3.2.1/debian/patches/00list libgig-3.2.1/debian/patches/00list
--- libgig-3.2.1/debian/patches/00list
+++ libgig-3.2.1/debian/patches/00list
@@ -1,0 +2 @@
+20_gcc43
diff -u libgig-3.2.1/debian/changelog libgig-3.2.1/debian/changelog
--- libgig-3.2.1/debian/changelog
+++ libgig-3.2.1/debian/changelog
@@ -1,3 +1,10 @@
+libgig (3.2.1-1.1) unstable; urgency=low
+
+ * Non-maintainer upload.
+ * Fix GCC 4.3 compatibility, patch by Brian M. Carlson (Closes: #456083)
+
+ -- Moritz Muehlenhoff <[EMAIL PROTECTED]> Sun, 23 Mar 2008 00:23:55 +0100
+
libgig (3.2.1-1) unstable; urgency=low
* New upstream release
only in patch2:
unchanged:
--- libgig-3.2.1.orig/debian/patches/20_gcc43.dpatch
+++ libgig-3.2.1/debian/patches/20_gcc43.dpatch
@@ -0,0 +1,58 @@
+#! /bin/sh -e
+## 20gcc43.dpatch by Brian M. Carlson
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
[EMAIL PROTECTED]@
+diff -ur libgig.old/src/DLS.cpp libgig-3.2.1/src/DLS.cpp
+--- libgig.old/src/DLS.cpp 2007-10-14 12:06:32.000000000 +0000
++++ libgig-3.2.1/src/DLS.cpp 2007-12-18 20:05:36.000000000 +0000
+@@ -23,6 +23,7 @@
+
+ #include "DLS.h"
+
++#include <algorithm>
+ #include <time.h>
+
+ #ifdef __APPLE__
+diff -ur libgig.old/src/gig.cpp libgig-3.2.1/src/gig.cpp
+--- libgig.old/src/gig.cpp 2007-11-25 17:29:37.000000000 +0000
++++ libgig-3.2.1/src/gig.cpp 2007-12-18 20:06:24.000000000 +0000
+@@ -27,6 +27,7 @@
+
+ #include <math.h>
+ #include <iostream>
++#include <algorithm>
+
+ /// Initial size of the sample buffer which is used for decompression of
+ /// compressed sample wave streams - this value should always be bigger than
+diff -ur libgig.old/src/RIFF.cpp libgig-3.2.1/src/RIFF.cpp
+--- libgig.old/src/RIFF.cpp 2007-10-26 10:58:41.000000000 +0000
++++ libgig-3.2.1/src/RIFF.cpp 2007-12-18 20:04:56.000000000 +0000
+@@ -21,6 +21,7 @@
+ * MA 02111-1307 USA *
+ ***************************************************************************/
+
++#include <algorithm>
+ #include <string.h>
+
+ #include "RIFF.h"